package com.fjhx.mail.service.my;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.dto.MyContactPersonDto;
import com.fjhx.mail.entity.my.dto.MyContactPersonSelectDto;
import com.fjhx.mail.entity.my.po.MyContactPerson;
import com.fjhx.mail.entity.my.vo.MyContactPersonVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 联系人 服务类
 * </p>
 *
 * @author
 * @since 2023-06-09
 */
public interface MyContactPersonService extends BaseService<MyContactPerson> {

    /**
     * 联系人分页
     */
    Page<MyContactPersonVo> getPage(MyContactPersonSelectDto dto);

    /**
     * 联系人明细
     */
    MyContactPersonVo detail(Long id);

    /**
     * 联系人新增
     */
    void add(MyContactPersonDto myContactPersonDto);

    /**
     * 联系人编辑
     */
    void edit(MyContactPersonDto myContactPersonDto);

    /**
     * 联系人删除
     */
    void delete(Long id);

}
